<template>
  <div>
    <div class="divBuscador">
      <div>
        <v-text-field
          v-model="search"
          class="buscador"
          append-icon="mdi-magnify"
          label="Buscar..."
          single-line
          clearable
          hide-details
        />
      </div>
    </div>

    <div>
      <v-data-table
        :headers="encabezadoTabla"
        :items="datosServicio"
        :page.sync="page"
        :items-per-page="itemsPerPage"
        @page-count="pageCount = $event"
        :search="search"
        class="tblGeneral tblAsignacion"
      >
        <template v-slot:item.liga="{ item }">
          <router-link
            :to="{
              path: getLink(item),
            }"
          >
            Detalle
          </router-link>
        </template>

        <!-- <template v-slot:item.liga = "{ item }">
                    <router-link :to = "{
                        path: '/supervision-mantenimiento/asignaciones/reportes/asistencia-mantenimiento-lista?' +
                            'idUsuario=' + item.idUsuario +
                            '&year=' + 2021 +
                            '&zona=' + item.idTerritorio +
                            '&semana=' + item.semana
                        }">
                    Detalle
                    </router-link>
                </template> -->
      </v-data-table>
    </div>
  </div>
</template>

<script>
import store from "@/store";
import axios from "axios";
const serviceCommons = store.state.serviceCommons;
export default {
  name: "tabla-usuarios-semanales-sup-mto",

  data() {
    return {
      search: "",
      pageCount: 1,
      page: 1,
      itemsPerPage: 10,
      fIniCu: "",
      fFinCu: "",
      paramsNivel_2: "",
      colores: "",
      rangos: "",
      encabezadoTabla: [
        {
          text: "No. Empleado",
          value: "idUsuario",
          align: "center",
        },
        {
          text: "Nombre del Empleado",
          value: "nombreResponsable",
          align: "center",
        },
        {
          text: "Semana",
          value: "semana",
          align: "center",
        },
        {
          text: "Supervisiones Realizadas",
          value: "conteoRealizadas",
          align: "center",
        },
        {
          text: "Supervisiones Programadas",
          value: "conteoProgramadas",
          align: "center",
        },
        {
          text: "Ver",
          value: "liga",
          align: "center",
        },
      ],
      propiedades_footer: {
        itemsPerPageOptions: [2, 4, 5, 10],
      },
      datosServicio: [],
    };
  },
  computed: {
    serviceCommons() {
      return serviceCommons;
    },
  },
  methods: {
    setValores(datos, fIniCuat, fFinCuat, paramsNivel_2) {
      console.log("Alcanzado setValores X:" + paramsNivel_2);

      if (datos != undefined && datos.length) {
        this.datosServicio = datos;
      }

      this.fIniCu = fIniCuat;
      this.fFinCu = fFinCuat;
      this.paramsNivel_2 = paramsNivel_2;
      //this.colores = colores
      //this.rangos = rangos
    },
    getLink(item) {
      let parametros = this.serviceCommons.base64ToObject(this.$route.params.parametros);
      console.log("GETTIN LINK Colores:" + parametros.rangos);
      let parametrosEnvio = {
        idUsuario: item.idUsuario,
        fIniCu: this.fIniCu,
        fFinCu: this.fFinCu,
        zona: item.idTerritorio,
        cuat: 1,
        semana: item.semana,
        name: item.nombreResponsable,
        paramsNivel_2: this.paramsNivel_2,
        rangos: parametros.rangos,
      };
      let uri =
        "/supervision-mantenimiento/dashboard/supervision_semanal/coordinador?parametros=" +
        this.serviceCommons.objectToBase64(parametrosEnvio);
      return uri;
      /*
            return '/supervision-mantenimiento/asignaciones/reportes/asistencia-mantenimiento-lista?' + 
                'idUsuario=' + item.idUsuario +
                '&fIniCu=' + this.fIniCu +
                '&fFinCu=' + this.fFinCu +
                '&zona=' + item.idTerritorio +
                '&cuat=' + 1 +
                '&semana=' + item.semana +
                '&name=' + item.nombreResponsable +
                '&paramsNivel_2=' + this.paramsNivel_2 + 
                // DEBERIA FUNCIONAR ASI:
                '&rangos=' +  this.$route.params.rangos 
                //'&colores=' +  this.$route.params.colores  +
            */
    },
  },
};
</script>
